Author: Sergei Golovan
Description: Patch fixes a bug with extra CGI environment variables
 specified in a config file.
Last-Modified: Sun, 30 Sep 2018 10:30:36 +0300

--- a/src/yaws_config.erl
+++ b/src/yaws_config.erl
@@ -2537,8 +2537,7 @@
             fload(FD, extra_cgi_vars, GC, C1, Lno+1, ?NEXTLINE);
 
         ['<', "/extra_cgi_vars", '>'] ->
-            C1 = C#sconf{extra_cgi_vars = [EVars | C#sconf.extra_cgi_vars]},
-            fload(FD, server, GC, C1, Lno+1, ?NEXTLINE);
+            fload(FD, server, GC, C, Lno+1, ?NEXTLINE);
 
         [H|T] ->
             {error, ?F("Unexpected input ~p at line ~w", [[H|T], Lno])};
